Package org.jbpm.process.instance.timer

## Class TimerManager.ProcessJobContext

- java.lang.Object
- - org.jbpm.process.instance.timer.TimerManager.ProcessJobContext

- All Implemented Interfaces:
    `Serializable`, `org.drools.core.time.JobContext`
  Direct Known Subclasses:
    `TimerManager.StartProcessJobContext`
  Enclosing class:
    TimerManager

      public static class TimerManager.ProcessJobContext
      extends Object
      implements org.drools.core.time.JobContext

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessJobContext​(TimerInstance timer, org.drools.core.time.Trigger trigger, Long processInstanceId, org.drools.core.common.InternalKnowledgeRuntime kruntime)` |
    `ProcessJobContext​(TimerInstance timer, org.drools.core.time.Trigger trigger, Long processInstanceId, org.drools.core.common.InternalKnowledgeRuntime kruntime, boolean newTimer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.drools.core.time.JobHandle` | `getJobHandle()` |
    `org.drools.core.common.InternalKnowledgeRuntime` | `getKnowledgeRuntime()` |
    `Long` | `getProcessInstanceId()` |
    `Long` | `getSessionId()` |
    `TimerInstance` | `getTimer()` |
    `org.drools.core.time.Trigger` | `getTrigger()` |
    `org.drools.core.common.InternalWorkingMemory` | `getWorkingMemory()` |
    `boolean` | `isNewTimer()` |
    `void` | `setJobHandle​(org.drools.core.time.JobHandle jobHandle)` |
    `void` | `setKnowledgeRuntime​(org.drools.core.common.InternalKnowledgeRuntime kruntime)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.time.JobContext

      `getInternalKnowledgeRuntime`

- - ### Constructor Detail

    - #### ProcessJobContext

          public ProcessJobContext​(TimerInstance timer,
                                   org.drools.core.time.Trigger trigger,
                                   Long processInstanceId,
                                   org.drools.core.common.InternalKnowledgeRuntime kruntime)

    - #### ProcessJobContext

          public ProcessJobContext​(TimerInstance timer,
                                   org.drools.core.time.Trigger trigger,
                                   Long processInstanceId,
                                   org.drools.core.common.InternalKnowledgeRuntime kruntime,
                                   boolean newTimer)

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

    - #### getKnowledgeRuntime

          public org.drools.core.common.InternalKnowledgeRuntime getKnowledgeRuntime()

    - #### getTrigger

          public org.drools.core.time.Trigger getTrigger()

    - #### getJobHandle

          public org.drools.core.time.JobHandle getJobHandle()

      Specified by:
        `getJobHandle` in interface `org.drools.core.time.JobContext`

    - #### setJobHandle

          public void setJobHandle​(org.drools.core.time.JobHandle jobHandle)

      Specified by:
        `setJobHandle` in interface `org.drools.core.time.JobContext`

    - #### getTimer

          public TimerInstance getTimer()

    - #### getSessionId

          public Long getSessionId()

    - #### setKnowledgeRuntime

          public void setKnowledgeRuntime​(org.drools.core.common.InternalKnowledgeRuntime kruntime)

    - #### getWorkingMemory

          public org.drools.core.common.InternalWorkingMemory getWorkingMemory()

      Specified by:
        `getWorkingMemory` in interface `org.drools.core.time.JobContext`

    - #### isNewTimer

          public boolean isNewTimer()